<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<? $this->layout()->disableLayout() ?>
<? $config_escorts = Zend_Registry::get('escorts_config'); ?>

<form class="form-common" action="<?= $this->baseUrl() ?>/escorts-v2/create" method="post" class="form">
<script>
        var showcityzones = 0;
</script>
<?= $this->render('escorts-v2/_edit-js.phtml') ?>

<style type="text/css">
	#tabs { margin: -10px }
	.auto_approval {
		background-color:#FFD0D0;
		border:1px solid #CCCCCC;
		font-size:13px !important;
		margin-bottom:8px !important;
		padding:2px 5px;
		width:386px;
	}
</style>

<div id="tabs">

<!-- >>> MooTabs Tab Items -->
<ul class="mootabs_title">
	<li title="Login"><span>Login & Biography</span></li>
	<li title="Services"><span>Services</span></li>
	<li title="Working"><span>Working</span></li>
	<? if ($config_escorts['rates'] != 0): ?>
	<li title="Prices"><span>Prices</span></li>
	<? endif; ?>
	<li title="Tours"><span>Tours</span></li>
	<!--<li title="Comments"><span>Comments</span></li>-->
</ul>
<!-- <<< -->

<div id="Login" class="mootabs_panel">
	<!-- >>> Login -->

	<label class="auto_approval"><input type="checkbox" name="auto_approval" value="1" style="vertical-align: middle;" /> <span style="vertical-align: middle;">Automatically approve profile changes!</span></label>

	<fieldset class="fleft" style="margin-right: 18px;">
		<legend>Login Info</legend>
		
		<div style="float:left">
			<div class="inner">
				<label for="showname">Showname</label>
				<input class="txt-or w16 bold" type="text" id="showname" name="showname" value="" />
			</div>

			<div class="inner">
				<label for="username">Username</label>
				<input class="txt w16" type="text" id="username" name="username" value="" />
			</div>
			<div class="clear"></div>

			<div class="inner">
				<label for="slogan">Slogan</label>
				<input class="txt w16 bold" type="text" id="slogan" name="slogan" <?= Cubix_Application::getId() != APP_ED ? 'maxlength="20"' : '' ?> value="" />
			</div>

			<div class="inner">
				<label for="password">Password</label>
				<input class="txt w16" type="text" id="password" onkeyup="passwordStrength(this.value, 'passwordDescription', 'passwordStrength');" name="password" value=""  />
				<small>fill the field to change the password</small>
				<div id="pass_strength">
					<div id="passwordDescription">Password not entered</div>
					<div id="passwordStrength" class="strength0"></div>
				</div>

			</div>
			<div class="clear"></div>
			<? if( in_array(Cubix_Application::getId(), array(APP_ED)) ): ?>
				<div class="inner">
					<label for="s-type">Type</label>
					<?= $this->selectBox('type', 's-type', $DEFINITIONS['ESCORT_TYPES'], 'w13', null) ?>
				</div>
				<div class="clear"></div>
			<? endif;?>
			<!--
			<div class="inner">
				<label for="status">Status</label>
				<?= $this->selectBox('status', 'status', $DEFINITIONS['escort_status_options_popup'], 'w16', null, '-') ?>
			</div>
			<div class="clear"></div>
			-->
			
			<div class="inner">
				<label for="sales_person">Sales Person</label>
				<select name="sales_user_id" id="sales_person" class="w16" >
					<option value="">- - -</option>
					<? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
					<option value="<?= $user->id ?>"><?= $user->username ?></option>
					<? endforeach; ?>
				</select>
			</div>
			
			<div class="inner">
				<label for="country">Country</label>
				<select id="country" name="country_id" class="w16">
					<option value="">- any -</option>
					<? $model = new Model_Geography_Countries() ?>
					<? $countries = $model->ajaxGetAll(false); ?>
					<? if ( Cubix_Application::getId() == 33 || Cubix_Application::getId() == 22 ): ?>
						<? foreach( $countries as $k => $c ): ?>
							<? if ( $c->id == 71 ): ?>
								<? unset($countries[$k]); ?>
							<? endif; ?>
						<? endforeach; ?>
					<? endif; ?>
					<? $c = false; foreach ($countries as $country): ?>
					<? if ( ! $c && $country->ordering == 0 ): $c = true ?><option value="" disabled="disabled">-----------------------</option><? endif; ?>
					<option value="<?= $country->id ?>"<?= Cubix_Application::getById($this->request()->application_id)->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?></option>
					<? endforeach; ?>
				</select>
			</div>
			<div class="clear"></div>
			

			<? /* <div class="inner disabled">
				<label for="signup_from">Signup From</label>
				<select name="_application_id" id="signup_from" class="w20" disabled="disabled">
					<option value="">- application -</option>
					<? foreach (Cubix_Application::getAll() as $application): ?>
					<option value="<?= $application->id ?>"<?= $this->escort->application_id == $application->id ? ' selected="selected"' : '' ?>><?= $application->title ?></option>
					<? endforeach; ?>
				</select>
			</div> */ ?>

			<div class="inner">
				<label for="agency">Agency</label>
				<select id="agency" name="agency_id" class="w16">
					<option value="">Independent Escort</option>
					<option disabled="disabled">-------------------------------</option>
					<?  foreach ( $this->agency_list as $id => $title ): ?>
					<option value="<?= $id ?>"><?= $title ?></option>
					<? endforeach; ?>
				</select>
			</div>
			<div class="inner">
				<label for="ag_id">Agency ID</label>
				<input id="ag_id" class="txt w5" type="text"/>
				<span style="color: #ff0000;" id="ag_id_err" class="none">No agency found</span>
			</div>
			<div class="clear"></div>

			<div class="inner">
				<label for="reg_email">Registration Email</label>
				<input id="reg_email" name="reg_email" class="txt w16" type="text"/>
			</div>
			<div class="clear"></div>

			<? if ( ! $this->escort->agency_id ): ?>
			<div class="inner">
				<input type="checkbox" name="pseudo_escort" value="1" style="vertical-align: middle" id="pseudo_escort" />
				<label for="pseudo_escort" class="inline" style="vertical-align: middle">Pseudo Escort </label>
			</div>
			<div class="clear"></div>
			<? endif; ?>

		</div>
		<style type="text/css">
			.red { color: red !important; }
			.green { color: green !important; }
		</style>
		<!--
		<div style="float:left; margin-left: 30px;">
			<h2>Escort <?= $this->escort->showname ?></h2>
			<p style="margin: 10px 0;"><b>Current Status:</b> <b style="font-size:14px" class="<?= $this->escort->status == 1 ? 'green' : 'red' ?>" ><?= $DEFINITIONS['status_options'][$this->escort->status]; ?></b></p>
			<p><b>Available Statuses</b> <small>(click to change)</small></p>
			<ul style="list-style: inside; margin-left:5px; line-height: 19px;">
				<?php foreach ($DEFINITIONS['status_options'] as $k => $status):?>
				<?php if ( $k < -4 ):?><?php continue; ?><?php endif; ?>
				<li><a href="#" ><?= $status ?></a></li>
				<?php endforeach; ?>
			</ul>
		</div>
		-->

		<div class="clear"></div>
		
		<? if (in_array(Cubix_Application::getId(), array(APP_6B, APP_6C, APP_EG, APP_EG_CO_UK, APP_ED))): ?>
			<hr>
			<div class="inner">
				<input type="checkbox" name="at_exact_date" value="1" style="vertical-align: middle" id="at_exact_date" />
				<label for="at_exact_date" class="inline" style="vertical-align: middle">Activate at exact date</label>
			</div>
			<div class="inner">
				<input class="txt w9" type="text" id="activation_date" name="activation_date" value="" />
			</div>
            <? if ( in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK)) ): ?>
            <div class="inner">
                <label class="exp-date-label" for="exp-date">Expires:
                    <input class="txt w9" type="text" id="exp-date" name="exp_date" value="<?= strtotime('+90 days')?>" /></label>
            </div>
            <? endif; ?>
			<div class="clear"></div>
		<? endif; ?>
		
		<div style="margin-bottom: 12px;"></div>
	</fieldset>


	
	<fieldset class="fleft no-margin" style="width:477px;">
		<legend>Contact</legend>

		
		<div class="inner no-padding" name="email_phone_error"></div>
		<div class="clear"></div>
		
		<? if (Cubix_Application::getId() == APP_A6 ): ?>
		
		<div class="inner no-padding">
			<label style="text-align: center">
				<input type="checkbox" checked value="1" name="show_phone" />
				<span style="font-size: 11px;">Show Phone Number </span>
			</label>	
		</div>
		<div class="clear"></div>
		<? endif; ?>
		
		<div class="inner">
			<label for="phone_prefix">Country Calling Code</label>
			<select name="phone_prefix" id="phone_prefix" class="w19">
				<option value ="">-------</option>
				<? foreach($this->countries as $country):?>
					<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= $country->id == $this->app_country ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
				<? endforeach; ?>
			</select>
		</div>
		<div class="inner">
			<label for="contact_phone">Phone</label>
			<input class="txt w19" type="text" id="contact_phone" name="phone_number" value="" />
		</div>
		<!--
		<div class="inner">
			<label for="alternative_phone">Alternative Phone</label>
			<input class="txt w19" type="text" id="alternative_phone" name="phone_number_alt" value="" />
		</div>
		-->
		<div class="clear"></div>

		<div class="inner no-padding">
			<label style="text-align: center">
				<input type="checkbox" value="1" name="disable_phone_prefix" <?= ( Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT ) ? 'checked="checked"' : '' ?> />
				<span style="font-size: 11px; font-weight: normal">Disable Country Calling Code</span>
			</label>
		</div>

		<div class="inner no-padding" style="margin-left: 50px;">
			<label style="text-align: center">
				<input type="checkbox" value="1" name="viber" />
				<span style="font-size: 11px; font-weight: normal">Viber</span>
			</label>
		</div>
		<div class="inner no-padding">
			<label style="text-align: center">
				<input type="checkbox" value="1" name="whatsapp" />
				<span style="font-size: 11px; font-weight: normal">Whatsapp</span>
			</label>
		</div>

        <? if (in_array(Cubix_Application::getId(), [APP_ED, APP_A6, APP_EG_CO_UK, APP_BL, APP_6B, APP_AE, APP_EM, APP_EF, APP_EI])): ?>
            <div class="inner no-padding" >
                <label style="text-align: center">
                    <input type="checkbox" value="1" name="telegram" />
                    <span style="font-size: 11px; font-weight: normal">Telegram</span>
                </label>
            </div>
        <? endif; ?>
        <? if (in_array(Cubix_Application::getId(), array(APP_ED,APP_EG_CO_UK,APP_BL,APP_6B,APP_AE,APP_EM))): ?>
        <div class="inner no-padding" style="margin-left: 18.79em;">
            <label style="text-align: center">
                <input type="checkbox" value="1" name="ssignal" />
                <span style="font-size: 11px; font-weight: normal">Signal</span>
            </label>
        </div>
        <? endif; ?>

		<div class="clear"></div>
                
                <? if (Cubix_Application::getId() == APP_BL ): ?>
                <div class="inner">
			<label>Snapchat Username</label>
			<input class="txt w16" type="text" id="snapchat-username" name="snapchat_username" value="<?= $this->escort->snapchat_username ?>" />
		</div>
		<div class="clear"></div>
		<div class="inner no-padding">
			<label style="text-align: center">
				<input type="checkbox" value="1" name="snapchat" <?= ( $this->escort->snapchat ) ? 'checked="checked"' : '' ?> />
				<span style="font-size: 11px; font-weight: normal">Snapchat</span>
			</label>
		</div>
		<div class="clear"></div>
                <? endif; ?>
			
		<div class="inner">
			<label>Phone Instructions</label>
			<select name="phone_instr" class="w19">
				<option value="">- any -</option>
				<option value="<?= PHONE_INSTRUCTIONS_SMS_CALL ?>">SMS & Call</option>
				<option value="<?= PHONE_INSTRUCTIONS_SMS_ONLY ?>">SMS Only</option>
				<option value="<?= PHONE_INSTRUCTIONS_NO_SMS ?>">No SMS</option>
			</select>
		</div>
			

		<div class="inner">
			<label for="phone_instruction_other">Other</label>
			<input class="txt w19" type="text" id="phone_instruction_other" name="phone_instr_other" value="" />
		</div>
		<div class="clear"></div>

		<div class="inner no-padding">
			<label style="text-align: center">
				<input type="checkbox" value="1" name="phone_instr_no_withheld" />
				<span style="font-size: 11px; font-weight: normal">No Withheld Numbers</span>
			</label>
		</div>
		<div class="clear"></div>
		


		

		<div class="inner">
			<label for="email">Email</label>
			<input class="txt w19" type="text" id="email" name="email" value="" />
		</div>

		<!--
		<div class="inner">
			<label for="zip">Zip</label>
			<input class="txt w11" type="text" id="zip" name="contact_zip" value="" />
		</div>
		<div class="clear"></div>
		-->

		<div class="inner" >
			<label for="web_address">Web Address</label>
			<input class="txt w14" type="text" id="web_address" name="website" value="" />
            
		</div>

        <div class="inner"  style="text-align: center; margin-right:0px;">
			<label for="web_address">Block</label>
            <input id="block_website" type="checkbox" name="block_website" value="1" />
		</div>

		<div class="inner"  style="text-align: center; margin-right:0px;">
			<label for="web_address">Check</label>
            <input id="check_website" type="checkbox" name="check_website" value="1" />
		</div>

		<div class="clear"></div>

		<? if ( in_array(Cubix_Application::getId(), array(APP_ED,APP_EG_CO_UK,APP_EG,APP_AE)) ): ?>
            <div class="inner">
                <label for="source_url">Source URL</label>
                <input class="txt w14" type="text" id="source_url" name="source_url" value="<?= ($this->escort->source_url) ? $this->escort->source_url : $this->escort->website ?>" />
                <small>Insert here ONLY if the girl's page has an unique URL!</small>
            </div>
			<? if ( in_array(Cubix_Application::getId(), array(APP_ED)) ): ?>
				<span style="float: left;margin-top: 23px;">
					<label><input type="checkbox"  value="1" id="source_url_doesnt_have" name="source_url_doesnt_have">Doesn't have</label>
				</span>
			<? endif ?>
		<div class="clear"></div>
		<? endif ?>
		



		<? if (Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT):?>
		<div class="inner">
			<label for="club_name">Club Name</label>
			<input class="txt w19" type="text" id="club_name" name="club_name" value="" />
		</div>
		<? endif; ?>
		
		<? if (Cubix_Application::getId() == APP_EF):?>
		<div class="inner no-padding" style="margin-top:25px;">
			<label style="text-align: center">
				<input id="escortbook_ad" type="checkbox" value="1" name="escortbook_ad"  />
				<span style="font-size: 11px; font-weight: normal">Disable Escortbook ad</span>
			</label>
		</div>
		<div class="inner no-padding" style="margin-top:25px;">
			<label style="text-align: center">
				<input id="no_renew_sms" type="checkbox" value="1" name="no_renew_sms" />
				<span style="font-size: 11px; font-weight: normal">No renew sms</span>
			</label>
		</div>
		<? endif; ?>

		<? if (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT):?>
		<?
			$city_model = new Model_Geography_Cities();
			$cities = $city_model->getFakeCities();
		?>
		<div class="inner">
			<label for="fake_city">City</label>
			<select name="fake_city_id" class="w19 selectbox" id="fake_city">
				<option>- - -</option>
				<? foreach( $cities as $city ):?>
				<option value="<?= $city->id ?>"><?= $city->title ?><?= ($city->zip) ? ', ZIP ' . $city->zip : '' ?></option>
				<? endforeach; ?>
			</select>
		</div>				
		<? endif; ?>

		<div class="inner">
			<label for="street">Street / N</label>
			<input class="txt w17" type="text" id="street" name="street" value="" />
			<input class="txt w5" type="text" id="street_number" name="street_no" value="" />
		</div>
		<div class="clear"></div>
		
		<? if (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT):?>
		<div class="inner">
			<label for="address_additional_info">Address additional info</label>
			<input class="txt w17" type="text" id="address_additional_info" name="address_additional_info" value="" />
		</div>
		<div class="inner">
			<label for="fake_zip">ZIP</label>
			<input class="txt w11" type="text" id="fake_zip" name="fake_zip" value="" />
		</div>
		<? endif; ?>

		<? if ( Cubix_Application::getId() == APP_ED): ?>
		<div class="inner">
				<? 
					$prefered_contact_methods = array(
							'6'=>__('pv2_option_prefered_contact_methods_any'),
							'1'=>__('pv2_option_prefered_contact_methods_call'),
							'2'=>__('pv2_option_prefered_contact_methods_sms'),
							'3'=>__('pv2_option_prefered_contact_methods_viber_whatsApp'),
							'4'=>__('pv2_option_prefered_contact_methods_email'),
							'5'=>__('pv2_option_prefered_contact_methods_site'),
							); 
				?>
				<? 
					$prefered_contacts = false;
					if(strlen($this->escort->prefered_contact_methods) > 6){
						$prefered_contacts = unserialize($this->escort->prefered_contact_methods);
					}
				?>
				<label><?= __('pv2_label_prefered_contact_methods') ?></label>
				<hr>
					<div class="inner">
						<label style="width: 130px;"><?= __('First');?></label>
						<select class="txt w16" style="width: 200px;" name="prefered_contact_methods[]">
							<? $limit = 0; ?>
							<? foreach ($prefered_contact_methods as $k => $method): ?>
								<? if($prefered_contacts && $prefered_contacts[0] == $k && !$limit): ?>
									<?
										$limit = 1;
										unset($prefered_contacts[0]);
										$prefered_contacts = array_values($prefered_contacts);
									 ?>
									<option selected="selected" value ="<?=$k?>"><?=$method?></option>
								<? else: ?>
									<option value ="<?=$k?>"><?=$method?></option>
								<? endif; ?>
							<? endforeach; ?>
						</select>
					</div>
					<div class="inner">
						<label style="width: 130px;"><?= __('Second');?></label>
						<select class="txt w16" style="width: 200px;" name="prefered_contact_methods[]">
							<option value ="">-</option>
							<? $limit = 0; ?>
							<? foreach ($prefered_contact_methods as $k => $method): ?>
								<? if($prefered_contacts && $prefered_contacts[0] == $k && !$limit): ?>
									<? 
										$limit = 1;
										unset($prefered_contacts[0]);
										$prefered_contacts = array_values($prefered_contacts);
									 ?>
									<option selected="selected" value ="<?=$k?>"><?=$method?></option>
								<? else: ?>
									<option value ="<?=$k?>"><?=$method?></option>
								<? endif; ?>
							<? endforeach; ?>
						</select>
					</div>
					<div class="inner" >
						<label style="width: 130px;"><?= __('Third');?></label>
						<select class="txt w16" style="width: 200px;" name="prefered_contact_methods[]">
							<option value ="">-</option>
							<? $limit = 0; ?>
							<? foreach ($prefered_contact_methods as $k => $method): ?>
								<? if($prefered_contacts && $prefered_contacts[0] == $k && !$limit): ?>
									<? 
										$limit = 1;
										unset($prefered_contacts[0]);
										$prefered_contacts = array_values($prefered_contacts);
									 ?>
									<option selected="selected" value ="<?=$k?>"><?=$method?></option>
								<? else: ?>
									<option value ="<?=$k?>"><?=$method?></option>
								<? endif; ?>
							<? endforeach; ?>
						</select>
					</div>
		</div>
		<? endif; ?>

	</fieldset>

	<div class="clear"></div>


	<fieldset class="mt10">
		<legend>Biography</legend>

		<div class="fleft" style="margin-right: 18px;">
			<fieldset class="mb10">
				<!-- <legend>Basic BIO</legend> -->

				<div class="inner">
					<label for="ethnicity">Ethnicity</label>
					<?= $this->selectBox('ethnicity', 'ethnicity', $DEFINITIONS['ethnic_options'], 'w12', null, '-') ?>
				</div>

				<div class="inner">
					<label for="nationality">Nationality</label>
					<? $m_nationalities = new Model_Nationalities() ?>
					<?= $this->selectBox('nationality_id', 'nationality', $m_nationalities->getAll(), 'w19', null, '-') ?>
				</div>
				<div class="clear"></div>

				<? if ( in_array(Cubix_Application::getId(), array(APP_EF, APP_6A)) ): ?>
				<div class="inner">
					<label for="profile_type">Profile Type</label>
					<?= $this->selectBox('profile_type', 'profile_type', $DEFINITIONS['profile_type_options'], 'w12', PROFILE_TYPE_SINGLE) ?>
				</div>
				<div class="clear"></div>
				<? endif; ?>

				<div class="inner">
					<label for="gender">Gender <?= Cubix_Application::getId() == APP_ED ? '/ Type' : '' ?></label>
					<?= $this->selectBox('gender', 'gender', $DEFINITIONS['gender_options'], 'w12', null, '-') ?>
				</div>

				<div class="inner">
					<label for="birth_date">Age</label>
					<select name="birth_date" id="birth_date" class="w4">
						<option>---</option>
                        <?
                        if ( Cubix_Application::getId() == APP_A6):
                            $max_age = 76;
                        else:
                            $max_age = 65;
                        endif;
                        ?>
						<? for ( $i = 18; $i < $max_age; $i++ ): ?>
							<option value="<?= $i ?>"><?= $i ?></option>
						<? endfor; ?>
					</select>

					<!-- <input id="birth_date" class="txt" type="text" class="DatePicker w8" value="<?= mktime(null, null, null, null, null, 1990, false) ?>" id="dp_birthdate" name="birth_date" /> -->
				</div>
				<div class="clear"></div>

				<div class="inner">
					<label for="characteristics">Special Characteristics</label>
					<input class="txt w33" type="text" id="characteristics" name="characteristics" value="" />
				</div>
				<div class="clear"></div>

			</fieldset>
			
			<? if ( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == 33 || Cubix_Application::getId() == 22 ): ?>
			<fieldset class=" m0 mt30">
				<legend style="margin-top: -18px; -moz-border-radius: 3px 3px 0 0">Interests and Hobbies</legend>

				<div class="inner">
					<label for="cuisine">Favorite Cuisine</label>
					<input class="txt w15" type="text" id="cuisine" name="cuisine" value="" />
				</div>
				<div class="inner">
					<label for="drink">Favorite Drink</label>
					<input class="txt w15" type="text" id="drink" name="drink" value="" />
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="flower">Favorite Flower</label>
					<input class="txt w15" type="text" id="flower" name="flower" value="" />
				</div>
				<div class="inner">
					<label for="perfume">Favorite Perfume</label>
					<input class="txt w15" type="text" id="perfume" name="perfume" value="" />
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="designer">Favorite Designer / Brand</label>
					<input class="txt w15" type="text" id="designer" name="designer" value="" />
				</div>
				<div class="inner">
					<label for="interests">Interests</label>
					<input class="txt w15" type="text" id="interests" name="interests" value="" />
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="sports">Sports</label>
					<input class="txt w15" type="text" id="sports" name="sports" value="" />
				</div>
				<div class="inner">
					<label for="gifts">Gifts</label>
					<input class="txt w15" type="text" id="gifts" name="gifts" value="" />
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="hobbies">Other Hobbies</label>
					<input class="txt w15" type="text" id="hobbies" name="hobbies" value="" />
				</div>
				<div class="clear"></div>

			</fieldset>
			<div class="clear"></div>
			<? endif; ?>

			<fieldset style="margin-top: 14px;">
				<legend>Spoken Languages</legend>

				<div name="langs">
					<div class="inner">
						<label for="lang">Language</label>
						<select id="lang" name="lng">
						<? foreach ($DEFINITIONS['language_options'] as $k => $v): ?>
							<option value="<?= $k ?>"><?= $v ?></option>
						<? endforeach; ?>
						</select>
					</div>

					<? if(Cubix_Application::getId() != APP_ED): ?>
					<div class="inner">
						<label for="lang-level">Level</label>
						<select id="lang-level" name="lng_lvl" class="w10">
						<? foreach ($DEFINITIONS['language_level_options'] as $k => $v): ?>
							<option value="<?= $k ?>"><?= $v ?></option>
						<? endforeach; ?>
						</select>
					</div>
					<? else: ?>
					<div class="inner">
						<label for="lang-level">Level</label>
						<select id="lang-level" name="lng_lvl" class="w10">
							<? /*<? for ($i=1;$i < 100;$i++): ?>
								<option value="<?= $i ?>"><?= $i ?></option>
							<? endfor; ?>*/ ?>
							<option value="24">Basic</option>
							<option value="49">Fair</option>
							<option value="74">Good</option>
							<option value="100">Excellent</option>
						</select>
					</div>
					<? endif; ?>

					<div class="inner">
						<a id="btn-lang-add"></a>
					</div>
					<div class="clear"></div>
				</div><!-- name langs -->

				<div id="langs" class="inner mt10">

				</div>
			</fieldset>
		</div>

		<div class="fleft no-margin">
			<fieldset style="width: 470px;">
				<!-- <legend>Vital Statistics</legend> -->

				<? /* <div class="inner">
					<!-- <label for="measure_units">Measure Units</label>
					<?= $this->selectBox('measure_units', '', $DEFINITIONS['metric_system'], 'w24', null, '-') ?> -->
					<div id="measure_units">
					<?php foreach ($DEFINITIONS['metric_system'] as $key => $ms): ?>
					<label class="fleft">
						<span style="vertical-align: middle"><?= $ms ?></span>
						<input type="radio" name="measure_units" style="vertical-align: middle" value="<?= $key ?>" />
					</label>
					<?php endforeach; ?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
				*/ ?>

				<?php
					if ( $this->measure_units == METRIC_SYSTEM ) {
						$height_unit = 'cm';
						$weight_unit = 'kg';
					}
					else {
						$height_unit = 'ft\' in"';
						$weight_unit = 'lbs';
					}
				?>


				<div class="inner">
					<label for="height">Height</label>
					<input class="txt w5" type="text" id="height" name="height" value="" />
					<?= $height_unit ?>
				</div>

				<div class="inner">
					<label for="weight">Weight</label>
					<input class="txt w5" type="text" id="weight" name="weight" value="" />
					<?= $weight_unit ?>
				</div>

				<div class="inner">
					<label for="bust_waist_hip">Bust-Waist-Hip</label>
					<input class="txt w4" type="text" id="bust" name="bust" value="" />
					<input class="txt w4" type="text" id="waist" name="waist" value="" />
					<input class="txt w4" type="text" id="hip" name="hip" value="" />
				</div>

				<div class="inner">
					<label for="cup_size">Cup Size</label>
					<select class="w6" id="cup_size" name="cup_size">
						<option value="">- - -</option>
						<? foreach ( $DEFINITIONS['breast_size_options'] as $opt ): ?>
						<option value="<?= $opt ?>" ><?= $opt ?></option>
						<? endforeach; ?>
					</select>
				</div>
				<div class="clear"></div>

				<div class="inner">
					<label for="hair_color">Hair Color</label>
					<?= $this->selectBox('hair_color', 'hair_color', $DEFINITIONS['hair_color_options'], 'w11', null, '-') ?>
				</div>

				<? if (!in_array(Cubix_Application::getId(), array(APP_A6, APP_A6_AT))): ?>
					<div class="inner">
						<label for="hair_length">Hair Length</label>
						<?= $this->selectBox('hair_length', 'hair_length', $DEFINITIONS['hair_length_options'], 'w11', null, '-') ?>
					</div>
				<? endif; ?>

				<div class="inner">
					<label for="eye_color">Eye Color</label>
					<?= $this->selectBox('eye_color', 'eye_color', $DEFINITIONS['eye_color_options'], 'w10', null, '-') ?>
				</div>


				<div class="inner">
					<label for="shoe_size">Shoe Size</label>
					<input class="txt w6" type="text" id="shoe_size" name="shoe_size" value="" />
				</div>



				<div class="inner">
					<label for="dress_size">Dress Size</label>
					<input class="txt w6" type="text" id="dress_size" name="dress_size" value="" />
				</div>
				<div class="clear"></div>


				<div class="inner">
					<label for="pubic_hair">Pubic Hair</label>
					<?= $this->selectBox('pubic_hair', 'pubic_hair', $DEFINITIONS['pubic_hair_options'], 'w11', null, '-') ?>
				</div>


				<div class="inner">
					<label for="is_smoking">Smoking</label>
					<?= $this->selectBox('is_smoking', 'is_smoking', $DEFINITIONS['y_n_oc_options'], 'w10', null, '-') ?>
				</div>
				<div class="inner">
					<label for="is_drinking">Drinking</label>
					<?= $this->selectBox('is_drinking', 'is_drinking', $DEFINITIONS['y_n_oc_options'], 'w10', null, '-') ?>
				</div>
				<div class="clear"></div>
				
				<? if ( Cubix_Application::getId() != APP_A6 || Cubix_Application::getId() == APP_A6_AT): ?>
				<div class="inner">
					<label for="breast_type">Breast</label>
					<?= $this->selectBox('breast_type', 'breast_type', $DEFINITIONS['breast_type_options'], 'w11', $this->escort->breast_type, '-') ?>
				</div>
				<div class="inner">
					<label for="tatoo">Tattoo</label>
					<?= $this->selectBox('tatoo', 'tatoo', $DEFINITIONS['tatoo_options'], 'w11', null, '-') ?>
				</div>
				<div class="inner">
					<label for="piercing">Piercing</label>
					<?= $this->selectBox('piercing', 'piercing', $DEFINITIONS['piercing_options'], 'w10', null, '-') ?>
				</div>
				<div class="clear"></div>
				<? endif; ?>	
				
				<? if (in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK, APP_BL, APP_EM))): ?>
				<div class="inner"  style="text-align: center; margin-right:0px;">
					<label for="is_pornstar">Is Pornstar</label>
					<input id="is_pornstar" type="checkbox" name="is_pornstar" value="1" />
				</div>
				<? endif; ?>
			</fieldset>
			<div class="clear"></div>

			<fieldset  class="p0 m0 mt30">
				<legend style="margin-top: -18px; -moz-border-radius: 3px 3px 0 0">About</legend>

				<div id="lang-tabs" name="about_types">
					<?
						$def_lang = Cubix_Application::getDefaultLang($this->request()->application_id);
						$langs = Cubix_I18n::getLangs(true);
						if ( $def_lang ) {
							foreach ($langs as $i => $lang) {
								if ( $lang == $def_lang ) {
									unset($langs[$i]);
								}
							}
							array_unshift($langs, $def_lang);
						}
					?>

					<ul class="mootabs_title">
						<? foreach ($langs as $id): ?>
						<li title="<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
						<? endforeach; ?>
					</ul>
					<? foreach ($langs as $id): ?>
					<div id="<?= $id ?>" class="mootabs_panel">
						<div class="inner" >
							<label for="template_<?= $id ?>">Templates </label>
							<select class="escort-templates" name="template_<?= $id ?>">
								<option value="0">---Use Templates---</option>
							<? foreach ($this->escort_templates as $template): ?>
								<option value="<?= $template->id ?>"><?= $template->title ?></option>
							<? endforeach; ?>
							</select>
						</div>
						<div class="clear"></div>
						<div class="inner" style="padding-left:0">
							<label for="about_<?= $id ?>">About </label>
							<textarea id="about_<?= $id ?>" class="txt about-body" name="about_<?= $id ?>" style="width: 414px; height: 55px"></textarea>
						</div>
						<div class="clear"></div>
					</div>
					<? endforeach; ?>
				</div>
			</fieldset>
		</div>
		<div class="clear"></div>

	</fieldset>

	<!-- <<< -->
</div><!-- Login -->


<div id="Services" class="mootabs_panel">
		<!-- >>> Services -->

	<fieldset class="fleft">
		<legend>Services Offered For</legend>
		
		<div class="inner" name="sex_availability" >
			<div class="fleft mb10">
				<? $i = 0; foreach ($DEFINITIONS['sex_availability_options'] as $k => $v): ?>
				<? if ($i++ % 3 == 0): ?></div><div class="fleft mb10"><? endif; ?>
				<label style="font-weight:normal; margin-bottom:6px"><input type="checkbox" name="sex_availability[]" value="<?= $k ?>" /> <span><?= $v ?></span></label>
				<? endforeach; ?>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</fieldset>

	<fieldset class="fleft">
		<legend>Sexual Orientation</legend>

		<div class="inner" name="sex_orientation" style="height: 72px">
			<div class="fleft">
				<select name="sex_orientation" style="width: 145px;">
					<option value="">---</option>
					<? foreach ($DEFINITIONS['sexual_orientation_options'] as $k => $v): ?>
						<option value="<?= $k ?>"><?= $v ?></option>
					<? endforeach; ?>					
				</select>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</fieldset>
	
	<? if (in_array(Cubix_Application::getId(), array(APP_EG_CO_UK, APP_EG, APP_6C, APP_6B, APP_ED))): ?>
	<fieldset class="fleft" style="width: 420px;">
		<legend>Keywords</legend>
		
		<div class="inner" name="keywords" >
			<div class="fleft mb10">
				<? $keywords = $DEFINITIONS['keywords']; if (Cubix_Application::getId() == APP_ED) $keywords = $DEFINITIONS['keywords_ed']; ?>
				<? foreach ($keywords as $k => $v): ?>
					<label style="font-weight:normal; margin-bottom:6px; float: left; width: 120px;"><input type="checkbox" name="keywords[]" value="<?= $k ?>" /> <span><?= $v ?></span></label>
				<? endforeach; ?>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</fieldset>
	<? endif; ?>
	
<? if ($config_escorts['services'] != 0): ?>
	<fieldset class="p0 m0 fleft" style="margin-top:  17px">
		<legend style="margin-top: -18px; -moz-border-radius: 3px 3px 0 0">Additional</legend>

		<div id="svc-additional-tabs">
			<?
				$def_lang = Cubix_Application::getDefaultLang($this->request()->application_id);
				$langs = Cubix_I18n::getLangs(true);
				if ( $def_lang ) {
					foreach ($langs as $i => $lang) {
						if ( $lang == $def_lang ) {
							unset($langs[$i]);
						}
					}
					array_unshift($langs, $def_lang);
				}
			?>
			<ul class="mootabs_title">
				<? foreach ($langs as $id): ?>
				<li title="svc_additional_<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
				<? endforeach; ?>
			</ul>
			<? foreach ($langs as $id): ?>
			<div id="svc_additional_<?= $id ?>" class="mootabs_panel">
				<div class="inner">
					<textarea class="txt" name="additional_service_<?= $id ?>" style="width: 380px; height: 32px"></textarea>
				</div>
				<div class="clear"></div>
			</div>
			<? endforeach; ?>
		</div>
	</fieldset>
	<div class="clear"></div>

    <? if ( Cubix_Application::getId() == APP_EF): ?>
        <fieldset class="fleft mr10">
            <legend>Virtual Services</legend>

            <div style="height: 400px; overflow-y: scroll">

                <table style="padding-right: 10px">
                    <tr>
                        <td><label><input type="checkbox" id="virtual-service" /> Select all</label></td>
                        <th><span style="color: red">(surcharge)</span></th>
                    </tr>
                    <? foreach ( $DEFINITIONS['services']['virtual'] as $k => $service ): ?>
                        <tr>
                            <? $checked = false; ?>
                            <? $price = ''; $currency = $this->currency('id'); ?>
                            <? if ( is_array($this->escort->services) ): ?>
                                <? foreach( $this->escort->services as $e_service ): ?>
                                    <? if ( $e_service['service_id'] == $k ): ?>
                                        <? $price = $e_service['price']; ?>
                                        <? $currency = ($e_service['currency_id']) ? $e_service['currency_id'] : $this->currency('id'); ?>
                                        <? $checked = true; ?>
                                    <? endif; ?>
                                <? endforeach; ?>
                            <? endif; ?>
                            <td>
                                <label class="<?= Cubix_Application::getId() == APP_A6 ? 'w28' : 'w147' ?>" style="font-weight:normal"><input type="checkbox" class="virtual-service" name="services[]" <?= ( $checked ) ? 'checked="checked"' : '' ?> value="<?= $k ?>" /> <?= $service ?></label>
                            </td>
                            <td>
                                <input type="text" class="txt" size="1" value="<?= $price ?>" name="service_prices[<?= $k ?>]" />
                                <span><?= $k ?>:<?= $currency ?></span>
                            </td>
                        </tr>
                    <? endforeach; ?>
                </table>

            </div>

        </fieldset>
    <? endif; ?>

	
	<fieldset class="fleft mr10 mt10">
		<legend>Most Common Services</legend>

		<div style="height: 400px; overflow-y: scroll">
			<table style="padding-right: 10px">
				<tr>
					<td><label><input type="checkbox" id="com-service" /> Select all</label></td>
					<th><span style="color: red">(surcharge)</span></th>
				</tr>
				<? foreach ( $DEFINITIONS['services']['common'] as $k => $service ): ?>
				<tr>
					<td>
						<label style="width:145px;font-weight:normal"><input type="checkbox" class="com-service" name="services[]" value="<?= $k ?>" /> <?= $service ?></label>
					</td>
					<td>
						<input type="text" class="txt" size="1" value="" name="service_prices[<?= $k ?>]" />
						<span><?= $k ?>:<?= $this->currency('id') ?></span>
					</td>
				</tr>
				<? endforeach; ?>
			</table>
		</div>

	</fieldset>

	<fieldset class="fleft mr10 mt10">
		<legend>Extra Services</legend>

		<div style="height: 400px; overflow-y: scroll">

			<table style="padding-right: 10px">
				<tr>
					<td><label><input type="checkbox" id="ext-service" /> Select all</label></td>
					<th><span style="color: red">(surcharge)</span></th>
				</tr>
				<? foreach ( $DEFINITIONS['services']['extra'] as $k => $service ): ?>
				<tr>
					<td>
						<label style="width:145px;font-weight:normal"><input type="checkbox" class="ext-service" name="services[]" value="<?= $k ?>" /> <?= $service ?></label>
					</td>
					<td>
						<input type="text" class="txt" size="1" value="" name="service_prices[<?= $k ?>]" />
						<span><?= $k ?>:<?= $this->currency('id') ?></span>
					</td>
				</tr>
				<? endforeach; ?>
			</table>

		</div>

	</fieldset>

	<fieldset class="fleft mt10">
		<legend>Fetish/Bizzare</legend>

		<div style="height: 400px; overflow-y: scroll">
			<table style="padding-right: 10px">
				<tr>
					<td><label><input type="checkbox" id="fet-service" /> Select all</label></td>
					<th><span style="color: red">(surcharge)</span></th>
				</tr>
				<? foreach ( $DEFINITIONS['services']['fetish'] as $k => $service ): ?>
				<tr>
					<td>
						<label style="width:145px;font-weight:normal"><input type="checkbox" class="fet-service" name="services[]" value="<?= $k ?>" /> <?= $service ?></label>
					</td>
					<td>
						<input type="text" class="txt" size="1" value="" name="service_prices[<?= $k ?>]" />
						<span><?= $k ?>:<?= $this->currency('id') ?></span>
					</td>
				</tr>
				<? endforeach; ?>
			</table>
		</div>

	</fieldset>

    <? if (Cubix_Application::getId() == APP_A6): ?>

        <fieldset class="fleft mr10 mt10" w>
            <legend>Massage</legend>

            <div style="height: 400px; overflow-y: scroll">
                <table style="padding-right: 10px">
                    <tr>
                        <td><label><input type="checkbox" id="massage-service"/> Select all</label></td>
                        <th><span style="color: red">(surcharge)</span></th>
                    </tr>
                    <? foreach ($DEFINITIONS['services']['massage'] as $k => $service): ?>
                        <tr>
                            <? $checked = false; ?>
                            <? $price = '';
                            $currency = $this->currency('id'); ?>
                            <? foreach ($this->escort->services as $f_service): ?>
                                <? if ($f_service['service_id'] == $k): ?>
                                    <? $price = $f_service['price']; ?>
                                    <? $currency = ($f_service['currency_id']) ? $f_service['currency_id'] : $this->currency('id'); ?>
                                    <? $checked = true;
                                    break; ?>
                                <? endif; ?>
                            <? endforeach; ?>
                            <td>
                                <label class="w28" style="font-weight:normal"><input type="checkbox"
                                                                                     class="massage-service"
                                                                                     name="services[]" <?= ($checked) ? 'checked="checked"' : '' ?>
                                                                                     value="<?= $k ?>"/> <?= $service ?>
                                </label>
                            </td>
                            <td>
                                <input type="text" class="txt" size="1" value="<?= $price ?>"
                                       name="service_prices[<?= $k ?>]"/>
                                <span><?= $k ?>:<?= $currency ?></span>
                            </td>
                        </tr>
                    <? endforeach; ?>
                </table>
            </div>

        </fieldset>

        <fieldset class="fleft mr10 mt10" w>
            <legend>Companion for</legend>

            <div style="height: 400px; overflow-y: scroll">
                <table style="padding-right: 10px">
                    <tr>
                        <td><label><input type="checkbox" id="companion-service"/> Select all</label></td>
                        <th><span style="color: red">(surcharge)</span></th>
                    </tr>
                    <? foreach ($DEFINITIONS['services']['companion'] as $k => $service): ?>
                        <tr>
                            <? $checked = false; ?>
                            <? $price = '';
                            $currency = $this->currency('id'); ?>
                            <? foreach ($this->escort->services as $f_service): ?>
                                <? if ($f_service['service_id'] == $k): ?>
                                    <? $price = $f_service['price']; ?>
                                    <? $currency = ($f_service['currency_id']) ? $f_service['currency_id'] : $this->currency('id'); ?>
                                    <? $checked = true;
                                    break; ?>
                                <? endif; ?>
                            <? endforeach; ?>
                            <td>
                                <label class="w28" style="font-weight:normal"><input type="checkbox"
                                                                                     class="companion-service"
                                                                                     name="services[]" <?= ($checked) ? 'checked="checked"' : '' ?>
                                                                                     value="<?= $k ?>"/> <?= $service ?>
                                </label>
                            </td>
                            <td>
                                <input type="text" class="txt" size="1" value="<?= $price ?>"
                                       name="service_prices[<?= $k ?>]"/>
                                <span><?= $k ?>:<?= $currency ?></span>
                            </td>
                        </tr>
                    <? endforeach; ?>
                </table>
            </div>

        </fieldset>
    <? endif; ?>
<? endif; ?>
	<div class="clear"></div>
	
	<!-- <<< -->
</div>

<div id="Working" class="mootabs_panel">
	<!-- >>> Working -->
	<fieldset class="fleft m0" style="margin-right: 10px" id="wt_working_times">
		<legend>Working Times</legend>

		<div class="fleft mb20">
			<label>
				<input type="checkbox" name="available_24_7" id="available_24_7" value="1" />
				<span>I am available 24/7</span>
			</label>
		</div>
		<div class="fleft mb20">
			<label>
				<input type="checkbox" name="night_escort" id="night_escort" value="1" disabled = "disabled"/>
				<span>Show me as night escort</span>
			</label>
		</div>
		<div class="inner m0">
				<a id="btn-wt-apply-to-all" class="sbtn icon-add mt20"></a>
		</div>
		<div class="clear"></div>

		<div class="fleft m0 mb5">
			<label class="w10">
				<input type="checkbox" name="select_all_wt" id="select_all_wt" value="" />
				<span style="color: #D54E21">select all</span>
			</label>
		</div>
		<div class="fleft" style="text-align: center">
			<label class="w10">
				<span style="color: #D54E21">from</span>
			</label>
		</div>
		<div class="fleft m0" style="text-align: center">
			<label class="w10">
				<span style="color: #D54E21">to</span>
			</label>
		</div>
		<div class="clear"></div>

		<? for ($j = 1; $j <= 7; $j++): ?>
		<div class="fleft" style="padding: 2px 2px 0 2px; margin: 1px 0 1px 0">
			<label class="w85">
				<input type="checkbox" class="wt_days" name="day_index[<?= $j ?>]" value="<?= $j ?>" />
				<span><?= $this->getWeekDay($j) ?></span>
			</label>
		</div>

		<div class="fleft" style="padding: 2px 2px 0 2px; margin: 1px 0 1px 0">
			<div class="fleft m0 mb2" name="work_times_<?= $j ?>">
				<select name="time_from[<?= $j ?>]" class="w4">
				<? for ($i = 0; $i <= 23; $i ++): ?>
					<option value="<?= $i ?>"><?= (strlen($i) == 1 ? '0' : '') . $i ?></option>
				<? endfor; ?>
				</select>
				-
				<select name="time_from_m[<?= $j ?>]" class="w4">
				<? for ($i = 0; $i < 60; $i ++): ?>
					<option value="<?= $i ?>"><?= (strlen($i) == 1 ? '0' : '') . $i ?></option>
				<? endfor; ?>
				</select>
			</div>
			<div class="fleft ml20 mb2" style="margin-right: 0px" name="work_times_<?= $j ?>">
				<select name="time_to[<?= $j ?>]" class="w4">
				<? for ($i = 0; $i <= 23; $i ++): ?>
					<option value="<?= $i ?>"><?= (strlen($i) == 1 ? '0' : '') . $i ?></option>
				<? endfor; ?>
				</select>
				-
				<select name="time_to_m[<?= $j ?>]" class="w4">
				<? for ($i = 0; $i < 60; $i ++): ?>
					<option value="<?= $i ?>"><?= (strlen($i) == 1 ? '0' : '') . $i ?></option>
				<? endfor; ?>
				</select>
			</div>
			<div class="fleft" style="margin-top: 8px;">	
				<label>
					<input type="checkbox" name="night_escorts[]" id="night_escort_<?=$j ?>" value="<?=$j ?>"  <?=!$this->escort->night_escort && ($active) && isset($night_escorts) && in_array($j,$night_escorts)? 'checked="checked" ' : '  '; ?> class="night_escort" <?= $this->escort->night_escort || !($active) ? 'disabled="disabled"' : "" ?>   />
					<span>Night escort</span>
				</label>
			</div>
		</div>
		<div class="clear"></div>
		<? endfor; ?>
	</fieldset>

	<style type="text/css">
		#available_for ul { list-style: none; }
		#available_for ul ul { margin-left: 20px }
		#available_for ul li { line-height: 20px }
	</style>

	<fieldset id="available_for" class="fleft m0">
		<legend>Available For </legend>

		<div class="fleft m0" name="err_incall">
			<ul>
				<li>
					<label class="inline"><input type="checkbox" value="1" name="incall" /> Incall</label>
				</li>
				<li>
					<ul id="incall">
						<li>
							<label class="inline"><input type="radio" value="1" name="incall_type" disabled="disabled" class="top" /> Private Apartment</label>
						</li>
						<li>
							<label class="inline"><input type="radio" value="2" name="incall_type" disabled="disabled" class="top" /> Hotel Room</label>
							<ul>
								<? for ( $i = 5; $i >= 1; $i--): ?>
								<li>
									<label class="inline">
										<input type="radio" value="<?= $i ?>" name="incall_hotel_room" style="vertical-align: middle" disabled="disabled" />
										<span style="vertical-align: middle">
											<? for ( $j = $i; $j >= 1; $j--): ?>
												<img src="/img/icon_star.png" />
											<? endfor; ?>
										</span>
									</label>
								</li>
								<? endfor; ?>
							</ul>
						</li>
						<li>
							<label class="inline"><input type="radio" value="3" name="incall_type" disabled="disabled" class="top" /> Club / Studio</label>
						</li>
						<li>
							<label class="inline"><input type="radio" value="4" name="incall_type" disabled="disabled" class="top" /> Other (please provide details)</label>
							<ul style="margin:0 0 0 5px">
								<li>
									<input type="text" class="txt w15 ml20 mt5" value="" name="incall_other" disabled="disabled" />
								</li>
							</ul>
						</li>
					</ul>
				</li>
				<li>
					<div class="inner">
						<label class="inline">ZIP Code</label>
						<input type="text" value="" name="zip" class="txt w10" disabled="disabled" />
					</div>
				</li>
			</ul>
		</div>

		<div class="fleft m0">
			<ul>
				<li>
					<label class="inline"><input type="checkbox" value="2" name="outcall" /> Outcall</label>
				</li>
				<li>
					<ul id="outcall">
						<li>
							<label class="inline"><input type="radio" value="1" name="outcall_type" disabled="disabled" class="top" /> Hotel Visits Only</label>
						</li>
						<li>
							<label class="inline"><input type="radio" value="2" name="outcall_type" disabled="disabled" class="top" /> Home Visits Only</label>
						</li>
						<li>
							<label class="inline"><input type="radio" value="3" name="outcall_type" disabled="disabled" class="top" /> Hotel & Home Visits</label>
						</li>
						<li>
							<label class="inline"><input type="radio" value="4" name="outcall_type" disabled="disabled" class="top" /> Other (please provide details)</label>
							<ul style="margin:0 0 0 5px">
								<li>
									<input type="text" class="txt w15 ml20 mt5" value="" name="outcall_other" disabled="disabled" />
								</li>
							</ul>
						</li>
					</ul>
				</li>
			</ul>
		</div>
		<div class="clear"></div>

	</fieldset>
	<div class="clear"></div>


	<fieldset class="fleft mt10 mr10">
		<legend>Locations</legend>

		<div class="cities_block fleft">
			<div name="locations">

				<div class="inner">
					<label for="home_city">Home City</label>
					<input type="text" name="home_city" id="home_city" value="" class="w21 a-search" />
					<input type="hidden" id="home_city_h" name="home_city_id" value="" />
				</div>
				<div class="clear"></div>

				<div class="inner">
					<label for="city">City</label>
					<?php
						$city_model = new Model_Geography_Cities();
						$cities = $city_model->ajaxGetAll(null, Cubix_Application::getById($this->request()->application_id)->country_id);

						$regions = array();
						foreach ( $cities as $city )
						{
							if ( ! isset($regions[$city->region_title]) ) {
								$regions[$city->region_title] = array();
							}

							$has_regions = $city->has_regions;
							$regions[$city->region_title][] = $city;
						}
					?>
					<select id="city" name="city" class="w16 selectbox">
						<option value="">- - -</option>
						<?php if ( $has_regions ):?>
							<? foreach ( $regions as $title => $cities ): ?>
								<optgroup label="<?= $title ?>">
									<? foreach ( $cities as $city ): ?>
									<option value="<?= $city->id ?>"><?= $city->title ?></option>
									<? endforeach; ?>
								</optgroup>
							<? endforeach; ?>
						<?php else: ?>
							<? foreach ( $cities as $city ): ?>
							<option value="<?= $city->id ?>"><?= $city->title ?></option>
							<? endforeach; ?>
						<?php endif;?>
					</select>
				</div>

				<div class="inner">
					<a id="btn-location-add" class="sbtn icon-add mt20"></a>
				</div>
				<div class="clear"></div>

				<div style="font-size:11px; color:grey; margin-left:5px; margin-top:10px;">
					TIP: Select radio button to set base city
				</div>

				<div id="locations" class="inner">

				</div>
			</div>
		</div><!-- CITIES BLOCK -->

		<div id="zones_block_wrp" class="zones_block fleft" style="display: none; margin-right: 0px;">
			<div class="inner">
				<label for="city">Cityzones</label>

				<select id="cityzones" name="cityzones" class="w16 selectbox">
					
				</select>
			</div>

			<div class="inner">
				<a id="btn-zone-add" class="sbtn icon-add mt20"></a>
			</div>
			<div class="clear"></div>

			<div id="z-locations" class="inner">
				
			</div>
		</div><!-- ZONES BLOCK -->
		<div class="clear"></div>
		
	</fieldset>

	<fieldset class="mt10 fleft">
		<legend>Vacation</legend>

		<div name="vac_date">
			<div class="inner">
				<label for="vac_date_from">From</label>
				<input class="txt w10" type="text" id="vac_date_from" name="vac_date_from" value="" />
			</div>

			<div class="inner">
				<label for="vac_date_to">To</label>
				<input class="txt w10" type="text" id="vac_date_to" name="vac_date_to" value="" />
			</div>
			<div class="clear"></div>
			
			<div class="inner">
				<a id="btn-remove-vacation" class="sbtn icon-add mt20"></a>
			</div>
			<div class="clear"></div>
			
		</div>

	</fieldset>
	<div class="clear"></div>
	
	<? if( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == 33 ): ?>
	<fieldset class="mt10">
		<legend><?= __('pv2_section_travel_locations') ?></legend>

		<div class="body" id="travel_loc">
			<p class="t">Please choose here where you are ready to travel for an escort meeting.</p>

			<div class="inner">
				<div class="legend">
					<label class="fleft"><input type="radio" name="travel_place" value="<?= TRAVEL_NO_TRAVEL ?>" /> <?= $DEFINITIONS['travel_places'][TRAVEL_NO_TRAVEL] ?></label>
					<label class="fleft"><input type="radio" name="travel_place" value="<?= TRAVEL_WORLDWIDE_I_USA ?>" /> <?= $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_I_USA] ?></label>
					<label class="fleft"><input type="radio" name="travel_place" value="<?= TRAVEL_WORLDWIDE_E_USA ?>" /> <?= $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_E_USA] ?></label>
					<label class="fleft"><input type="radio" name="travel_place" value="<?= TRAVEL_EUROPE ?>" checked="cecked" /> <?= $DEFINITIONS['travel_places'][TRAVEL_EUROPE] ?></label>
				<? if(Cubix_Application::getId() == APP_ED): ?>
				<label class="fleft"><input type="radio" name="travel_place" value="<?= TRAVEL_NATIONWIDE ?>" checked="cecked" /> <?= $DEFINITIONS['travel_places'][TRAVEL_NATIONWIDE] ?></label>
				<? endif;?>
					<div class="clear"></div>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</fieldset>
	<div class="clear"></div>
	<? endif; ?>
	
	<? if( Cubix_Application::getId() == 22 ): ?>
	<fieldset class="mt10">
		<legend><?= __('pv2_section_travel_locations') ?></legend>

		<div class="body" id="travel_loc">
			<p class="t">Please choose here where you are ready to travel for an escort meeting.</p>

			<div class="inner">
				<div class="legend">
					<label class="fleft"><input type="radio" name="travel_place" value="<?= WORLDWIDE ?>" /> <?= $DEFINITIONS['travel_places_pc'][WORLDWIDE] ?></label>
					<label class="fleft"><input type="radio" name="travel_place" value="<?= USA_AND_CANADA ?>" /> <?= $DEFINITIONS['travel_places_pc'][USA_AND_CANADA] ?></label>
					<label class="fleft"><input type="radio" name="travel_place" value="<?= USA_ONLY ?>" checked="cecked" /> <?= $DEFINITIONS['travel_places_pc'][USA_ONLY] ?></label>

					<div class="clear"></div>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</fieldset>
	<div class="clear"></div>
	<? endif; ?>
	<!-- <<< -->
</div><!-- Working -->


<div id="Prices" class="mootabs_panel">
<?= $this->render('escorts-v2/add-edit_rates.phtml') ?>
</div>



<div id="Tours" class="mootabs_panel">
	<!-- >>> Tours -->
	<div class="fleft mr10">
		<fieldset>
			<div name="tour_locations">
				<div class="inner">
					<label for="t-country">Country</label>
					
					<? if ( Cubix_Application::getById()->country_id ): ?>
						<span id="t-country-title"><?= Cubix_Application::getById()->country_title ?></span>
						<input id="t-country" type="hidden" name="t-country" value="<?= Cubix_Application::getById()->country_id ?>" />
					<? else: ?>
						<?
							$country_model = new Model_Geography_Countries();
							$countries = $country_model->ajaxGetAll(false);
						?>
						<select id="t-country-sel" name="t-country" class="w21 selectbox">
							<option value="- country -">- country -</option>
							<? foreach( $countries as $country ): ?>
							<option value="<?= $country->id ?>"><?= $country->title ?></option>
							<? endforeach; ?>
						</select>
					<? endif; ?>
					
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="t-city">Working Location</label>
					<select id="t-city" name="t-city" disabled="disabled" class="w21 selectbox">
					</select>
				</div>

			</div>

			<div name="tour_date">
				<div class="inner">
					<label for="tour_date_from">From</label>
					<input class="txt w9" type="text" id="tour_date_from" name="t-date_from" value="" />
				</div>

				<div class="inner">
					<label for="tour_date_to">To</label>
					<input class="txt w9" type="text" id="tour_date_to" name="t-date_to" value="" />
				</div>

				<div class="clear"></div>
			</div>
			<? if( in_array(Cubix_Application::getId(), array(APP_EF, APP_6A, APP_BL, APP_AE, APP_6B, APP_6C, APP_EG, APP_EG_CO_UK))): ?>
			<div name="tour_time">
				
				<div class="inner">
					<label for="tour_minutes_from" >Time From</label>
					<select  id="tour_minutes_from" class="txt w9">
						<option value="" > --- </option> 
						<? for($i = 0; $i < 24; $i++ ):?>
							<? if($i <= 9):?>
								<? $i_show = "&nbsp;0".$i ?>
							<? else:?>
								<? $i_show = "&nbsp;".$i ?>
							<? endif;?>
							<option value="<?= $i * 60 ?>"   <?= (!is_null($this->tour['minutes_from']) && $this->tour['minutes_from'] == $i * 60) ? ' selected="selected"' : '' ?>><?= $i_show.' : 00' ?>  </option>
							<option value="<?= ($i + 0.5) * 60 ?>" <?= (!is_null($this->tour['minutes_from']) && $this->tour['minutes_from'] == ($i + 0.5) * 60) ? ' selected="selected"' : '' ?>><?= $i_show.' : 30' ?> </option>
						<? endfor;?>
					</select>
				</div>
				<div class="inner">
					<label for="tour_minutes_to" >Time To</label>
					<select id="tour_minutes_to" class="txt w9">
						<option value="" > --- </option> 
						<? for($i = 0; $i < 24; $i++ ):?>
							<? if($i <= 9):?>
								<? $i_show = "&nbsp;0".$i ?>
							<? else:?>
								<? $i_show = "&nbsp;".$i ?>
							<? endif;?>
							<option value="<?= $i * 60 ?>" <?= (!is_null($this->tour['minutes_to']) && $this->tour['minutes_to'] == $i * 60) ? ' selected="selected"' : '' ?> ><?= $i_show.' : 00' ?>  </option>
							<option value="<?= ($i + 0.5) * 60 ?>" <?= (!is_null($this->tour['minutes_to']) && $this->tour['minutes_to'] == ($i + 0.5) * 60) ? ' selected="selected"' : '' ?> ><?= $i_show.' : 30' ?> </option>
						<? endfor;?>
					</select>
				</div>
			</div>
			<? endif;?>
			<div name="tour_phone">
				<div class="inner">
					<label for="t-phone">Phone</label>
					<input type="text" class="txt w17" name="t-phone" id="t-phone" value="" />
				</div>
				<div class="inner">
					<a id="btn-tour-add" class="sbtn icon-add mt20"></a>
					<a id="btn-tour-edit" class="sbtn icon-edit mt20"></a>
				</div>
				<div class="clear"></div>
				<span class="tour-error">Some date intervals are invalid or overlapped</span>
				<div class="clear"></div>
			</div>
		</fieldset>
	</div>

	<div class="inner mr10" id="tours" name="tours" >

			<!-- <div class="tour error mt10">
				<strong>BOBO</strong>
				<div class="mt10">
					<div class="fleft m0">
						<a class="sbtn icon-remove"></a>
					</div>
					<label class="fleft">
						<span>22 Dec 2009</span>
						<span>- 25 Dec 2009</span>
						<span> | Armenia</span>
						<span> | Yerevan</span>
					</label>
					<input type="hidden" name="locations[]" value="906"/>
					<div class="clear"></div>
				</div>
			</div> -->
			<?php if ( $this->tour_data ): ?>
				<?php foreach($this->tour_data as $tour): ?>
				<div class="tour mt10">
					<div class="fleft m0">
						<a class="sbtn icon-remove"></a>
					</div>
					<div class="fleft m0 ml3">
						<a class="sbtn icon-edit"></a>
					</div>
					<label class="fleft">
						<span><?= date('d M Y', $tour->date_from) ?></span>
						<span>- <?= date('d M Y', $tour->date_to) ?></span>
						<span> | <?= $tour->country_title ?></span>
						<span> | <?= $tour->city_title ?></span>
					</label>
					<div class="tour_phone"><?php if ( $tour->phone ): ?>Phone | <span><?= $tour->phone  ?></span><?php endif;?></div>
					<input type="hidden" name="tours[]" value="<?= $tour->country_id ?>:<?= $tour->city_id ?>:<?= $tour->date_from ?>:<?= $tour->date_to ?>:<?= $tour->phone ?>"/>

					<div class="clear"></div>
				</div>
				<?php endforeach;?>
			<?php else: ?>
				<span id="no-tour">[ ... There are no tours defined ... ]</span>
			<?php endif; ?>
	</div>

	<div class="clear"></div>
</div><!-- Tours -->

<div id="Comments" class="mootabs_panel">
	<? /*
<!--  Comments
	<fieldset class="fleft">
		<legend>Other</legend>

		<div class="inner">
			<label for="admin_verified">Admin Verified</label>
			<select id="admin_verified" name="admin_verified" class="w25">
				
				<? foreach ($DEFINITIONS['ESCORT_VERIFICATION'] as $k => $v): ?>
					<option value="<?= $k ?>"><?= $v ?>&nbsp;&nbsp;</option>
				<? endforeach; ?>
			</select>
		</div>

		<div class="inner">
			<label for="due_date">Remember me in</label>
			<select id="due_date" name="due_date" class="w7">
				<option value="">---</option>
				<? for ( $i = 1; $i <= 60; $i++ ): ?>
					<option value="<?= strtotime("+" . $i . " days") ?>"><?= $i ?>&nbsp;&nbsp;</option>
				<? endfor; ?>
			</select>
			<span> days</span>
		</div>
		<div class="clear"></div>

		<div class="inner">
			<label for="free_comment">Free Comment</label>
			<textarea id="free_comment" class="txt" style="height: 122px; width: 400px"></textarea>
		</div>
		<div class="clear"></div>

	</fieldset>
	<div class="clear"></div>
	<!-- <<< -->*/ ?>
</div><!-- Comments -->

<style type="text/css">
	.e-photo { float: left; margin: 0 8px 8px 0; }
	.e-photos-wrapper { overflow:auto; max-height: 434px; }
	.e-photos-wrapper-p { overflow:auto; max-height: 434px; }
</style>

<div id="Photos" class="mootabs_panel">
	<a id="btn-manage-photos"></a>
	<div class="clear"></div>
	<div class="e-photos-wrapper">
		<?php foreach ($this->photos as $photo):?>
			<div class="e-photo">
				<a href="#"><img src="<?= $photo->getUrl('backend_thumb'); ?>" /></a>
			</div>
		<?php endforeach; ?>
		<div class="clear"></div>
	</div>
</div>

<?php if ($this->private_photos): ?>
<div id="Private Photos" class="mootabs_panel">
	<div class="e-photos-wrapper-p">
		<?php foreach ($this->private_photos as $p_photo):?>
			<div class="e-photo">
				<a href="#"><img src="<?= $p_photo->getUrl('backend_thumb'); ?>" /></a>
			</div>
		<?php endforeach; ?>
		<div class="clear"></div>
	</div>
</div>
<?php endif; ?>

</div><!-- tabs -->

</form>